org.eclipse.jdt.ui.actions

## Class ShowInNavigatorViewAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.jdt.ui.actions.SelectionDispatchAction
        - - org.eclipse.jdt.ui.actions.ShowInNavigatorViewAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

Deprecated.
As of 3.5, got replaced by generic Navigate > Show In >

    @Deprecated
    public class ShowInNavigatorViewAction
    extends SelectionDispatchAction

Reveals the selected element in the resource navigator view.

Action is applicable to structured selections containing Java element or resources.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`ShowInNavigatorViewAction(IWorkbenchSite site)` Deprecated. Creates a new `ShowInNavigatorViewAction`.
`ShowInNavigatorViewAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)` Deprecated. Note: This constructor is for internal use only.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `run(IResource resource)` Deprecated.
`void` `run(IStructuredSelection selection)` Deprecated. Executes this actions with the given structured selection.
`void` `run(ITextSelection selection)` Deprecated. Executes this actions with the given text selection.
`void` `selectionChanged(IStructuredSelection selection)` Deprecated. Notifies this action that the given structured selection has changed.
`void` `selectionChanged(ITextSelection selection)` Deprecated. Notifies this action that the given text selection has changed.

### Methods inherited from class org.eclipse.jdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, run, run, selectionChanged, selectionChanged, selectionChanged, setSpecialSelectionProvider, update`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowInNavigatorViewAction

    public ShowInNavigatorViewAction(IWorkbenchSite site)

Deprecated.
Creates a new `ShowInNavigatorViewAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

#### ShowInNavigatorViewAction

    public ShowInNavigatorViewAction(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)

Deprecated.
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the Java editor
Restriction:
  This constructor is not intended to be referenced by clients.

### Method Detail

#### selectionChanged

    public void selectionChanged(ITextSelection selection)

Deprecated.
Description copied from class: `SelectionDispatchAction`
Notifies this action that the given text selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`
Parameters:
  `selection` - the new selection

#### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

Deprecated.
Description copied from class: `SelectionDispatchAction`
Notifies this action that the given structured selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`
Parameters:
  `selection` - the new selection

#### run

    public void run(ITextSelection selection)

Deprecated.
Description copied from class: `SelectionDispatchAction`
Executes this actions with the given text selection. This default implementation calls `run(ISelection selection)`.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### run

    public void run(IStructuredSelection selection)

Deprecated.
Description copied from class: `SelectionDispatchAction`
Executes this actions with the given structured selection. This default implementation calls `run(ISelection selection)`.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### run

    public void run(IResource resource)

Deprecated.